using System.Threading.Tasks;
using Abp.Application.Services;
using YGNT.Exam.Authorization.Accounts.Dto;

namespace YGNT.Exam.Authorization.Accounts
{
    public interface IAccountAppService : IApplicationService
    {
        Task<IsTenantAvailableOutput> IsTenantAvailable(IsTenantAvailableInput input);

        Task<RegisterOutput> Register(RegisterInput input);
    }
}
